## 66 0.7.0.0preprod-experimental2

=== debian/changelog ===
66 (0.7.0.0preprod-experimental2-1.0antix1) unstable; urgency=high

  * antiX build

 -- anticapitalista <antix@operamail.com>  Sat, 03 Feb 2024 20:58:14 +0200

=== debian/watch ===
# Example watch control file for uscan.
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig.
#opts="pgpsigurlmangle=s%$%.sig%"

# HTTP site (basic).
#http://example.com/downloads.html \
#    files/66-([\d\.]+)\.tar\.gz

# Uncomment to examine an FTP server.
#ftp://ftp.example.com/pub/66-(.*)\.tar\.gz

# SourceForge hosted projects.
#http://sf.net/66/ 66-(.*)\.tar\.gz

# GitHub hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://github.com/<user>/<project>/tags \
#    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

# GitLab hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://gitlab.com/<user>/<project>/-/tags \
#    archive/v?@ANY_VERSION@/<project>-v?\d\S*@ARCHIVE_EXT@

# PyPI.
#https://pypi.debian.net/66/66-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# Direct Git.
opts="mode=git" https://git.obarun.org/obarun/66
#    refs/tags/v([\d\.]+)

## 66 0.7.0.1

=== Makefile ===
#
# This Makefile requires GNU make.
#
# Do not make changes here.
# Use the included .mak files.
#

it: all

make_need := 3.81
ifeq "" "$(strip $(filter $(make_need), $(firstword $(sort $(make_need) $(MAKE_VERSION)))))"
fail := $(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
endif

CC = $(error Please use ./configure first)

STATIC_LIBS :=
SHARED_LIBS :=
INTERNAL_LIBS :=
EXTRA_TARGETS :=
LIB_DEFS :=

define library_definition
LIB$(firstword $(subst =, ,$(1))) := lib$(lastword $(subst =, ,$(1))).$(if $(DO_ALLSTATIC),a,so).xyzzy
ifdef DO_SHARED
SHARED_LIBS += lib$(lastword $(subst =, ,$(1))).so.xyzzy
endif
ifdef DO_STATIC
STATIC_LIBS += lib$(lastword $(subst =, ,$(1))).a.xyzzy
endif
endef

-include config.mak
include package/targets.mak

$(foreach var,$(LIB_DEFS),$(eval $(call library_definition,$(var))))

include package/deps.mak

version_m := $(basename $(version))
version_M := $(basename $(version_m))
version_l := $(basename $(version_M))
CPPFLAGS_ALL := $(CPPFLAGS_AUTO) $(CPPFLAGS)
CFLAGS_ALL := $(CFLAGS_AUTO) $(CFLAGS)
ifeq ($(strip $(STATIC_LIBS_ARE_PIC)),)
CFLAGS_SHARED := -fPIC
else
CFLAGS_SHARED :=
endif
LDFLAGS_ALL := $(LDFLAGS_AUTO) $(LDFLAGS)
AR := $(CROSS_COMPILE)ar
RANLIB := $(CROSS_COMPILE)ranlib
STRIP := $(CROSS_COMPILE)strip
INSTALL := ./tools/install.sh

ALL_BINS := $(LIBEXEC_TARGETS) $(BIN_TARGETS)
ALL_LIBS := $(SHARED_LIBS) $(STATIC_LIBS) $(INTERNAL_LIBS)
ALL_INCLUDES := $(wildcard src/include/$(package)/*.h)
LOWDOWN := $(shell type -p lowdown)
ifdef LOWDOWN
GENERATE_HTML := $(shell doc/make-html.sh $(version))
GENERATE_MAN := $(shell doc/make-man.sh)
endif
INSTALL_HTML := $(wildcard doc/$(version)/html/*.html)
INSTALL_MAN := $(wildcard doc/man/*/*)
INSTALL_DATA := skel/rc.init skel/rc.init.container \
	skel/rc.shutdown skel/rc.shutdown.final skel/init.conf

all: $(ALL_LIBS) $(ALL_BINS) $(ALL_INCLUDES)

clean:
	@exec rm -f $(ALL_LIBS) $(ALL_BINS) $(wildcard src/*/*.o src/*/*.lo src/*/*/*.o src/*/*/*.lo) \
	$(INSTALL_MAN) $(INSTALL_HTML) $(EXTRA_TARGETS)

distclean: clean
	@exec rm -f config.mak src/include/$(package)/config.h

tgz: distclean
	@. package/info && \
	rm -rf /tmp/$$package-$$version && \
	cp -a . /tmp/$$package-$$version && \
	cd /tmp && \
	tar -zpcv --owner=0 --group=0 --numeric-owner --exclude=.git* -f /tmp/$$package-$$version.tar.gz $$package-$$version && \
	exec rm -rf /tmp/$$package-$$version

strip: $(ALL_LIBS) $(ALL_BINS)
ifneq ($(strip $(STATIC_LIBS)),)
	exec $(STRIP) -x -R .note -R .comment $(STATIC_LIBS)
endif
ifneq ($(strip $(ALL_BINS)$(SHARED_LIBS)),)
	exec $(STRIP) -R .note -R .comment $(ALL_BINS) $(SHARED_LIBS)
endif

install: install-dynlib install-libexec install-bin install-lib install-include install-data install-html install-man install-init
install-dynlib: $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(dynlibdir)/lib%.so)
install-libexec: $(LIBEXEC_TARGETS:%=$(DESTDIR)$(libexecdir)/%)
install-bin: $(BIN_TARGETS:%=$(DESTDIR)$(bindir)/%)
install-lib: $(STATIC_LIBS:lib%.a.xyzzy=$(DESTDIR)$(libdir)/lib%.a)
install-include: $(ALL_INCLUDES:src/include/$(package)/%.h=$(DESTDIR)$(includedir)/$(package)/%.h)
install-data: $(INSTALL_DATA:skel/%=$(DESTDIR)$(skel)/%)
install-html: $(INSTALL_HTML:doc/$(version)/html/%.html=$(DESTDIR)$(datarootdir)/doc/$(package)/$(version)/%.html)
install-man: install-man1 install-man5 install-man8
install-man1: $(INSTALL_MAN:doc/man/man1/%.1=$(DESTDIR)$(mandir)/man1/%.1)
install-man5: $(INSTALL_MAN:doc/man/man5/%.5=$(DESTDIR)$(mandir)/man5/%.5)
install-man8: $(INSTALL_MAN:doc/man/man8/%.8=$(DESTDIR)$(mandir)/man8/%.8)
install-init: $(INIT_TARGETS:skel/init=$(DESTDIR)$(bindir)/init)

$(DESTDIR)$(datarootdir)/doc/$(package)/$(version)/%.html: doc/$(version)/html/%.html
	$(INSTALL) -D -m 644 $< $@ && \
	sed -e 's,%%shebangdir%%,$(shebangdir),g' \
		-e 's,%%skel%%,$(skel),g' \
		-e 's,%%bindir%%,$(bindir),g' \
		-e 's,%%livedir%%,$(livedir),g' \
		-e 's,%%system_dir%%,$(system_dir),g' \
		-e 's,%%system_log%%,$(system_log),g' \
		-e 's,%%s6log_user%%,$(s6log_user),g' \
		-e 's,%%s6log_timestamp%%,$(s6log_timestamp),g' \
		-e 's,%%s6log_notify%%,$(s6log_notify),g' \
		-e 's,%%service_system%%,$(service_system),g' \
		-e 's,%%script_system%%,$(script_system),g' \
		-e 's,%%seed_system%%,$(seed_system),g' \
		-e 's,%%seed_adm%%,$(seed_adm),g' \
		-e 's,%%service_adm%%,$(service_adm),g' \
		-e 's,%%service_admconf%%,$(service_admconf),g' \
		-e 's,%%user_dir%%,$(user_dir),g' \
		-e 's,%%service_user%%,$(service_user),g' \
		-e 's,%%script_user%%,$(script_user),g' \
		-e 's,%%service_userconf%%,$(service_userconf),g' \
		-e 's,%%user_log%%,$(user_log),g' \
		-e 's,%%default_treename%%,$(default_treename),g' $< > $@

$(DESTDIR)$(mandir)/man1/%.1: doc/man/man1/%.1
	$(INSTALL) -D -m 644 $< $@ && \
	sed -e 's,%%shebangdir%%,$(shebangdir),g' \
		-e 's,%%skel%%,$(skel),g' \
		-e 's,%%bindir%%,$(bindir),g' \
		-e 's,%%livedir%%,$(livedir),g' \
		-e 's,%%system_dir%%,$(system_dir),g' \
		-e 's,%%system_log%%,$(system_log),g' \
		-e 's,%%s6log_user%%,$(s6log_user),g' \
		-e 's,%%s6log_timestamp%%,$(s6log_timestamp),g' \
		-e 's,%%s6log_notify%%,$(s6log_notify),g' \
		-e 's,%%service_system%%,$(service_system),g' \
		-e 's,%%script_system%%,$(script_system),g' \
		-e 's,%%seed_system%%,$(seed_system),g' \
		-e 's,%%seed_adm%%,$(seed_adm),g' \
		-e 's,%%service_adm%%,$(service_adm),g' \
		-e 's,%%service_admconf%%,$(service_admconf),g' \
		-e 's,%%user_dir%%,$(user_dir),g' \
		-e 's,%%service_user%%,$(service_user),g' \
		-e 's,%%script_user%%,$(script_user),g' \
		-e 's,%%service_userconf%%,$(service_userconf),g' \
		-e 's,%%user_log%%,$(user_log),g' \
		-e 's,%%default_treename%%,$(default_treename),g' $< > $@

$(DESTDIR)$(mandir)/man5/%.5: doc/man/man5/%.5
	$(INSTALL) -D -m 644 $< $@ && \
	sed -e 's,%%shebangdir%%,$(shebangdir),g' \
		-e 's,%%skel%%,$(skel),g' \
		-e 's,%%bindir%%,$(bindir),g' \
		-e 's,%%livedir%%,$(livedir),g' \
		-e 's,%%system_dir%%,$(system_dir),g' \
		-e 's,%%system_log%%,$(system_log),g' \
		-e 's,%%s6log_user%%,$(s6log_user),g' \
		-e 's,%%s6log_timestamp%%,$(s6log_timestamp),g' \
		-e 's,%%s6log_notify%%,$(s6log_notify),g' \
		-e 's,%%service_system%%,$(service_system),g' \
		-e 's,%%script_system%%,$(script_system),g' \
		-e 's,%%seed_system%%,$(seed_system),g' \
		-e 's,%%seed_adm%%,$(seed_adm),g' \
		-e 's,%%service_adm%%,$(service_adm),g' \
		-e 's,%%service_admconf%%,$(service_admconf),g' \
		-e 's,%%user_dir%%,$(user_dir),g' \
		-e 's,%%service_user%%,$(service_user),g' \
		-e 's,%%script_user%%,$(script_user),g' \
		-e 's,%%service_userconf%%,$(service_userconf),g' \
		-e 's,%%user_log%%,$(user_log),g' \
		-e 's,%%default_treename%%,$(default_treename),g' $< > $@

$(DESTDIR)$(mandir)/man8/%.8: doc/man/man8/%.8
	$(INSTALL) -D -m 644 $< $@ && \
	sed -e 's,%%shebangdir%%,$(shebangdir),g' \
		-e 's,%%skel%%,$(skel),g' \
		-e 's,%%bindir%%,$(bindir),g' \
		-e 's,%%livedir%%,$(livedir),g' \
		-e 's,%%system_dir%%,$(system_dir),g' \
		-e 's,%%system_log%%,$(system_log),g' \
		-e 's,%%s6log_user%%,$(s6log_user),g' \
		-e 's,%%s6log_timestamp%%,$(s6log_timestamp),g' \
		-e 's,%%s6log_notify%%,$(s6log_notify),g' \
		-e 's,%%service_system%%,$(service_system),g' \
		-e 's,%%script_system%%,$(script_system),g' \
		-e 's,%%seed_system%%,$(seed_system),g' \
		-e 's,%%seed_adm%%,$(seed_adm),g' \
		-e 's,%%service_adm%%,$(service_adm),g' \
		-e 's,%%service_admconf%%,$(service_admconf),g' \
		-e 's,%%user_dir%%,$(user_dir),g' \
		-e 's,%%service_user%%,$(service_user),g' \
		-e 's,%%script_user%%,$(script_user),g' \
		-e 's,%%service_userconf%%,$(service_userconf),g' \
		-e 's,%%user_log%%,$(user_log),g' \
		-e 's,%%default_treename%%,$(default_treename),g' $< > $@

$(DESTDIR)$(skel)/%: skel/%
	exec $(INSTALL) -D -m 644 $< $@
	grep -- ^$(@F) < package/modes | { read name mode owner && \
	if [ x$$owner != x ] ; then chown -- $$owner $@ ; fi && \
	chmod $$mode $@ ; } && \
	exec sed -e "s/@BINDIR@/$(subst /,\/,$(bindir))/g" \
			-e "s/@EXECLINE_SHEBANGPREFIX@/$(subst /,\/,$(shebangdir))/g" \
			-e "s/@LIVEDIR@/$(subst /,\/,$(livedir))/g" \
			-e "s/@SKEL@/$(subst /,\/,$(skel))/g" $< > $@

$(DESTDIR)$(dynlibdir)/lib%.so $(DESTDIR)$(dynlibdir)/lib%.so.$(version_M): lib%.so.xyzzy
	$(INSTALL) -D -m 755 $< $@.$(version) && \
	$(INSTALL) -l $(@F).$(version) $@.$(version_M) && \
	exec $(INSTALL) -l $(@F).$(version_M) $@

$(DESTDIR)$(libexecdir)/% $(DESTDIR)$(bindir)/%: % package/modes
	exec $(INSTALL) -D -m 600 $< $@
	grep -- ^$(@F) < package/modes | { read name mode owner && \
	if [ x$$owner != x ] ; then chown -- $$owner $@ ; fi && \
	chmod $$mode $@ ; }

$(DESTDIR)$(bindir)/init: skel/init package/modes
	exec $(INSTALL) -D -m 600 $< $@
	grep -- ^$(@F) < package/modes | { read name mode owner && \
	if [ x$$owner != x ] ; then chown -- $$owner $@ ; fi && \
	chmod $$mode $@ ; } && \
	exec sed -e "s/@EXECLINE_SHEBANGPREFIX@/$(subst /,\/,$(shebangdir))/g" $< > $@

$(DESTDIR)$(libdir)/lib%.a: lib%.a.xyzzy
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(includedir)/$(package)/%.h: src/include/$(package)/%.h
	exec $(INSTALL) -D -m 644 $< $@

%.o: %.c
	exec $(CC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) -c -o $@ $<

%.lo: %.c
	exec $(CC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) $(CFLAGS_SHARED) -c -o $@ $<

$(ALL_BINS):
	exec $(CC) -o $@ $(CFLAGS_ALL) $(LDFLAGS_ALL) $(LDFLAGS_NOSHARED) $^ $(EXTRA_LIBS) $(LDLIBS)

lib%.a.xyzzy:
	exec $(AR) rc $@ $^
	exec $(RANLIB) $@

lib%.so.xyzzy:
	exec $(CC) -o $@ $(CFLAGS_ALL) $(CFLAGS_SHARED) $(LDFLAGS_ALL) $(LDFLAGS_SHARED) -Wl,-soname,$(patsubst lib%.so.xyzzy,lib%.so.$(version_M),$@) $^ $(EXTRA_LIBS) $(LDLIBS)

.PHONY: it all clean distclean tgz strip install install-dynlib install-libexec install-bin install-lib install-include install-data install-html install-man install-init

.DELETE_ON_ERROR:

=== debian/changelog ===
66 (0.7.0.1-1.0antix1) unstable; urgency=medium

  * antiX build from Prowler_Gr@yahoo.gr repo 

 -- anticapitalista <antix@operamail.com>  Fri, 10 May 2024 18:01:14 +0300

66 (0.7.0.0experimental1-1) UNRELEASED; urgency=medium

  * Rebuilt from new upstream stable release.

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com> Sat, 27 Apr 2024 22:22:22 +1000

66 (0.7.0.0preprod-experimental2-2) UNRELEASED; urgency=medium

  * Modified debian/rules file to change default 66 values that were reported causing issues.

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com> Sun, 25 Feb 2024 22:22:22 +1000

66 (0.7.0.0preprod-experimental2-1) UNRELEASED; urgency=high

  * Initial release. Experimental

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com> Thu, 18 Jan 2024 22:22:22 +1000

=== debian/control ===
Source: 66
Section: s6-experimental
Priority: optional
Maintainer: Prowler_Gr@yahoo.gr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 autotools-dev,
 s6 (>= 2.12),
 s6-rc (>= 0.5.4.2),
 oblibs (>= 0.2),
 skalibs-dev (>= 2.14),
 libs6-dev (>= 2.12),
 libexecline-dev (>= 2.9),
 execline (>= 2.9),
 libexecline2.9 ,
 libskarnet2.14
Standards-Version: 4.6.2
Homepage: https://web.obarun.org/software/66/
#Vcs-Browser: https://salsa.debian.org/debian/66
#Vcs-Git: https://salsa.debian.org/debian/66.git

Package: 66
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: A collection of system tools built around s6 and s6-rc created to make the implementation and manipulation of service files on your machine easier.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIG_OPT += --prefix=/usr
CONFIG_OPT += --dynlibdir=\$${prefix}/lib
CONFIG_OPT += --libdir=\$${prefix}/lib
CONFIG_OPT += --libexecdir=\$${prefix}/libexec
CONFIG_OPT += --bindir=\$${prefix}/bin
CONFIG_OPT += --with-lib=\$${prefix}/lib/skalibs
CONFIG_OPT += --with-lib=\$${prefix}/lib/execline
CONFIG_OPT += --with-lib=\$${prefix}/lib/s6
CONFIG_OPT += --with-sysdeps=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
CONFIG_OPT += --shebangdir=\$${prefix}/lib/execline/bin
CONFIG_OPT += --with-s6-log-timestamp=iso
CONFIG_OPT += --includedir=\$${prefix}/include
#CONFIG_OPT += --enable-absolute-paths
#CONFIG_OPT += --enable-shared
#CONFIG_OPT += --enable-allstatic
CONFIG_OPT += --HOSTNAME=antix-66
CONFIG_OPT += --TZ=ETC
CONFIG_OPT += --TTY=!2
CONFIG_OPT += --KEYMAP=!us
CONFIG_OPT += --FONT=!lat9w-16
#CONFIG_OPT += --FONT_MAP=
#CONFIG_OPT += --FONT_UNIMAP=
CONFIG_OPT += --FSTAB=!yes
CONFIG_OPT += --SWAP=!yes
CONFIG_OPT += --LVM=!no
CONFIG_OPT += --DMRAID=!no
CONFIG_OPT += --BTRFS=!no
CONFIG_OPT += --ZFS=!no
CONFIG_OPT += --ZFS_IMPORT=!zpoolcache
CONFIG_OPT += --MDRAID=!no
CONFIG_OPT += --CHECK_CONFIGURATION=!no
CONFIG_OPT += --SETUPCONSOLE=!yes
CONFIG_OPT += --HARDWARECLOCK=localtime
CONFIG_OPT += --UDEV=!yes
CONFIG_OPT += --SYSCTL=!yes
CONFIG_OPT += --FORCECHCK=!no
CONFIG_OPT += --LOCAL=!no
CONFIG_OPT += --CONTAINER=!no
CONFIG_OPT += --TMPFILE=!no
CONFIG_OPT += --MODULE_KERNEL=!no
CONFIG_OPT += --MODULE_SYSTEM=!no
CONFIG_OPT += --RANDOMSEED=!yes
CONFIG_OPT += --CRYPTTAB=!no
#CONFIG_OPT += --FIREWALL=
CONFIG_OPT += --CGROUPS=!yes
CONFIG_OPT += --MNT_PROC=!no
CONFIG_OPT += --MNT_SYS=!no
CONFIG_OPT += --MNT_DEV=!no
CONFIG_OPT += --MNT_RUN=!yes
CONFIG_OPT += --MNT_TMP=!yes
CONFIG_OPT += --MNT_PTS=!yes
CONFIG_OPT += --MNT_SHM=!yes
CONFIG_OPT += --MNT_NETFS=!no
CONFIG_OPT += --POPULATE_SYS=!yes
CONFIG_OPT += --POPULATE_DEV=!yes
CONFIG_OPT += --POPULATE_RUN=!yes
CONFIG_OPT += --POPULATE_TMP=!yes

%:
	dh $@

override_dh_auto_configure-arch:
#	./tools/gen-deps.sh > package/deps.mak
	./configure -- $(CONFIG_OPT)

#override_dh_auto_configure-indep:
#override_dh_auto_build-indep:
#override_dh_auto_install-indep:
#	mkdir -p debian/tmp/usr/share/doc/s6
#	cp -aT doc debian/tmp/usr/share/doc/s6
#override_dh_shlibdeps: --dpkg-shlibdeps-params= --ignore-missing-info

=== debian/watch ===
--- 
+++ 
@@ -33,5 +33,5 @@
 #https://pypi.debian.net/66/66-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
 
 # Direct Git.
-opts="mode=git" https://git.obarun.org/obarun/66
+opts="mode=git" https://git.obarun.org/obarun/66.git
 #    refs/tags/v([\d\.]+)

## 66 0.8.0.0~antix1

=== Makefile ===
--- 
+++ 
@@ -120,13 +120,16 @@
 		-e 's,%%script_system%%,$(script_system),g' \
 		-e 's,%%seed_system%%,$(seed_system),g' \
 		-e 's,%%seed_adm%%,$(seed_adm),g' \
-		-e 's,%%service_adm%%,$(service_adm),g' \
-		-e 's,%%service_admconf%%,$(service_admconf),g' \
-		-e 's,%%user_dir%%,$(user_dir),g' \
-		-e 's,%%service_user%%,$(service_user),g' \
-		-e 's,%%script_user%%,$(script_user),g' \
-		-e 's,%%service_userconf%%,$(service_userconf),g' \
-		-e 's,%%user_log%%,$(user_log),g' \
+		-e 's,%%environment_adm%%,$(environment_adm),g' \
+		-e 's,%%service_adm%%,$(service_adm),g' \
+		-e 's,%%service_admconf%%,$(service_admconf),g' \
+		-e 's,%%user_dir%%,$(user_dir),g' \
+		-e 's,%%service_user%%,$(service_user),g' \
+		-e 's,%%script_user%%,$(script_user),g' \
+		-e 's,%%service_userconf%%,$(service_userconf),g' \
+		-e 's,%%user_log%%,$(user_log),g' \
+		-e 's,%%seed_user%%,$(seed_user),g' \
+		-e 's,%%environment_user%%,$(environment_user),g' \
 		-e 's,%%default_treename%%,$(default_treename),g' $< > $@
 
 $(DESTDIR)$(mandir)/man1/%.1: doc/man/man1/%.1
@@ -144,13 +147,16 @@
 		-e 's,%%script_system%%,$(script_system),g' \
 		-e 's,%%seed_system%%,$(seed_system),g' \
 		-e 's,%%seed_adm%%,$(seed_adm),g' \
-		-e 's,%%service_adm%%,$(service_adm),g' \
-		-e 's,%%service_admconf%%,$(service_admconf),g' \
-		-e 's,%%user_dir%%,$(user_dir),g' \
-		-e 's,%%service_user%%,$(service_user),g' \
-		-e 's,%%script_user%%,$(script_user),g' \
-		-e 's,%%service_userconf%%,$(service_userconf),g' \
-		-e 's,%%user_log%%,$(user_log),g' \
+		-e 's,%%environment_adm%%,$(environment_adm),g' \
+		-e 's,%%service_adm%%,$(service_adm),g' \
+		-e 's,%%service_admconf%%,$(service_admconf),g' \
+		-e 's,%%user_dir%%,$(user_dir),g' \
+		-e 's,%%service_user%%,$(service_user),g' \
+		-e 's,%%script_user%%,$(script_user),g' \
+		-e 's,%%service_userconf%%,$(service_userconf),g' \
+		-e 's,%%user_log%%,$(user_log),g' \
+		-e 's,%%seed_user%%,$(seed_user),g' \
+		-e 's,%%environment_user%%,$(environment_user),g' \
 		-e 's,%%default_treename%%,$(default_treename),g' $< > $@
 
 $(DESTDIR)$(mandir)/man5/%.5: doc/man/man5/%.5
@@ -168,13 +174,16 @@
 		-e 's,%%script_system%%,$(script_system),g' \
 		-e 's,%%seed_system%%,$(seed_system),g' \
 		-e 's,%%seed_adm%%,$(seed_adm),g' \
-		-e 's,%%service_adm%%,$(service_adm),g' \
-		-e 's,%%service_admconf%%,$(service_admconf),g' \
-		-e 's,%%user_dir%%,$(user_dir),g' \
-		-e 's,%%service_user%%,$(service_user),g' \
-		-e 's,%%script_user%%,$(script_user),g' \
-		-e 's,%%service_userconf%%,$(service_userconf),g' \
-		-e 's,%%user_log%%,$(user_log),g' \
+		-e 's,%%environment_adm%%,$(environment_adm),g' \
+		-e 's,%%service_adm%%,$(service_adm),g' \
+		-e 's,%%service_admconf%%,$(service_admconf),g' \
+		-e 's,%%user_dir%%,$(user_dir),g' \
+		-e 's,%%service_user%%,$(service_user),g' \
+		-e 's,%%script_user%%,$(script_user),g' \
+		-e 's,%%service_userconf%%,$(service_userconf),g' \
+		-e 's,%%user_log%%,$(user_log),g' \
+		-e 's,%%seed_user%%,$(seed_user),g' \
+		-e 's,%%environment_user%%,$(environment_user),g' \
 		-e 's,%%default_treename%%,$(default_treename),g' $< > $@
 
 $(DESTDIR)$(mandir)/man8/%.8: doc/man/man8/%.8
@@ -192,13 +201,16 @@
 		-e 's,%%script_system%%,$(script_system),g' \
 		-e 's,%%seed_system%%,$(seed_system),g' \
 		-e 's,%%seed_adm%%,$(seed_adm),g' \
-		-e 's,%%service_adm%%,$(service_adm),g' \
-		-e 's,%%service_admconf%%,$(service_admconf),g' \
-		-e 's,%%user_dir%%,$(user_dir),g' \
-		-e 's,%%service_user%%,$(service_user),g' \
-		-e 's,%%script_user%%,$(script_user),g' \
-		-e 's,%%service_userconf%%,$(service_userconf),g' \
-		-e 's,%%user_log%%,$(user_log),g' \
+		-e 's,%%environment_adm%%,$(environment_adm),g' \
+		-e 's,%%service_adm%%,$(service_adm),g' \
+		-e 's,%%service_admconf%%,$(service_admconf),g' \
+		-e 's,%%user_dir%%,$(user_dir),g' \
+		-e 's,%%service_user%%,$(service_user),g' \
+		-e 's,%%script_user%%,$(script_user),g' \
+		-e 's,%%service_userconf%%,$(service_userconf),g' \
+		-e 's,%%user_log%%,$(user_log),g' \
+		-e 's,%%seed_user%%,$(seed_user),g' \
+		-e 's,%%environment_user%%,$(environment_user),g' \
 		-e 's,%%default_treename%%,$(default_treename),g' $< > $@
 
 $(DESTDIR)$(skel)/%: skel/%

=== debian/changelog ===
66 (0.8.0.0~antix1) unstable; urgency=medium

  * antiX build

 -- anticapitalista <antix@operamail.com>  Fri, 18 Oct 2024 11:43:20 +0300

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  autotools-dev,
- s6 (>= 2.12),
- s6-rc (>= 0.5.4.2),
- oblibs (>= 0.2),
- skalibs-dev (>= 2.14),
- libs6-dev (>= 2.12),
- libexecline-dev (>= 2.9),
- execline (>= 2.9),
- libexecline2.9 ,
- libskarnet2.14
+ s6 (>= 2.13.1),
+ s6-rc (>= 0.5.5),
+ oblibs (>= 0.3.1),
+ skalibs-dev (>= 2.14.3),
+ libs6-dev (>= 2.13.1),
+ libexecline-dev (>= 2.9.6.1),
+ execline (>= 2.9.6.1),
+ libexecline2.9,
+ libskarnet2.14t64
 Standards-Version: 4.6.2
 Homepage: https://web.obarun.org/software/66/
 #Vcs-Browser: https://salsa.debian.org/debian/66

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 #CONFIG_OPT += --enable-absolute-paths
 #CONFIG_OPT += --enable-shared
 #CONFIG_OPT += --enable-allstatic
-CONFIG_OPT += --HOSTNAME=antix-66
+CONFIG_OPT += --HOSTNAME=antix1
 CONFIG_OPT += --TZ=ETC
 CONFIG_OPT += --TTY=!2
 CONFIG_OPT += --KEYMAP=!us

## 66 0.8.0.2

=== Makefile ===
--- 
+++ 
@@ -263,6 +263,28 @@
 lib%.so.xyzzy:
 	exec $(CC) -o $@ $(CFLAGS_ALL) $(CFLAGS_SHARED) $(LDFLAGS_ALL) $(LDFLAGS_SHARED) -Wl,-soname,$(patsubst lib%.so.xyzzy,lib%.so.$(version_M),$@) $^ $(EXTRA_LIBS) $(LDLIBS)
 
-.PHONY: it all clean distclean tgz strip install install-dynlib install-libexec install-bin install-lib install-include install-data install-html install-man install-init
+check:
+	@echo "Running tests..."
+	@for dir in src/lib66 src/66; do \
+		echo "Scanning $$dir for tests..."; \
+		find $$dir -type d -name test | while read testdir; do \
+			if [ -f $$testdir/Makefile ]; then \
+				echo "Building tests in $$testdir..."; \
+				$(MAKE) -C $$testdir LIB_PATH=$(PWD) all || exit 1; \
+				for binary in $$testdir/*; do \
+					if [ -x $$binary ]; then \
+						echo "Executing $$binary"; \
+						LD_LIBRARY_PATH=$(PWD):$$LD_LIBRARY_PATH $(MAKE) -C $$testdir run || exit 1; \
+					fi; \
+				done; \
+				echo "Cleaning up in $$testdir..."; \
+				$(MAKE) -C $$testdir clean; \
+			else \
+				echo "Skipping $$testdir: Makefile not found."; \
+			fi; \
+		done; \
+	done
+
+.PHONY: it all clean check distclean tgz strip install install-dynlib install-libexec install-bin install-lib install-include install-data install-html install-man install-init
 
 .DELETE_ON_ERROR:

=== src/66/execl-envfile/test/Makefile ===
CC = gcc
CFLAGS=-g -Wall -Wextra -std=c99 -D_XOPEN_SOURCE=700 -I../../../include/66

LIBS_PATH = -L/usr/lib/skalibs \
			-L/usr/lib/execline \
            -L/usr/lib/oblibs

LIBS = 	-loblibs \
		-lexecline \
		-lskarnet \
		../../../../lib66.so.xyzzy

LDFLAGS = $(LIBS_PATH) $(LIBS)
# List all source files for tests
# parse_bracket.c another_test.c some_other_test.c
TEST_SOURCES = execl-envfile.c
TEST_BINARIES = $(TEST_SOURCES:.c=)

all: $(TEST_BINARIES)

%: %.c
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

run: $(TEST_BINARIES)
	@for binary in $(TEST_BINARIES); do \
		echo "Executing $$binary"; \
		LD_PRELOAD=$(abspath ../../../../lib66.so.xyzzy) LD_LIBRARY_PATH=../../../../:$$LD_LIBRARY_PATH ./$$binary || exit 1; \
	done

clean:
	@exec rm -f $(TEST_BINARIES) $(wildcard *.o *.lo)

.PHONY: run clean

=== src/lib66/parse/test/Makefile ===
CC = gcc
CFLAGS=-g -Wall -Wextra -std=c99 -D_XOPEN_SOURCE=700 -I../../../include/66

LIBS_PATH = -L/usr/lib/skalibs \
			-L/usr/lib/execline \
            -L/usr/lib/oblibs

LIBS = 	-loblibs \
		-lexecline \
		-lskarnet \
		../../../../lib66.so.xyzzy

LDFLAGS = $(LIBS_PATH) $(LIBS)
# List all source files for tests
# parse_bracket.c another_test.c some_other_test.c
TEST_SOURCES = parse_bracket.c
TEST_BINARIES = $(TEST_SOURCES:.c=)

all: $(TEST_BINARIES)

%: %.c
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

run: $(TEST_BINARIES)
	@for binary in $(TEST_BINARIES); do \
		echo "Executing $$binary"; \
		LD_PRELOAD=$(abspath ../../../../lib66.so.xyzzy) LD_LIBRARY_PATH=../../../../:$$LD_LIBRARY_PATH ./$$binary || exit 1; \
	done

clean:
	@exec rm -f $(TEST_BINARIES) $(wildcard *.o *.lo)

.PHONY: run clean

## 66 0.8.1.1

=== debian/changelog ===
66 (0.8.1.1-0experimental1) UNRELEASED; urgency=medium

  * Upstream release 0.8.1.1.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 17 May 2025 22:22:22 +1000

66 (0.8.0.2-0experimental1) UNRELEASED; urgency=medium

  * Rebuilt from upstream release. Moved to gitlab.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 29 Mar 2025 22:22:22 +1000

66 (0.7.2.1-0experimental1) UNRELEASED; urgency=medium

  * Rebuilt from upstream release. Moved to gitlab.

 -- ProwlerGr <Prowler73@gmail.com>  Wed, 19 Jun 2024 22:22:22 +1000

66 (0.7.1.1experimental1-1) UNRELEASED; urgency=medium

  * Rebuilt from new upstream release.

 -- ProwlerGr <Prowler73@gmail.com>  Tue, 28 May 2024 22:22:22 +1000

66 (0.7.0.2experimental1-1) UNRELEASED; urgency=medium

  * Rebuilt from new upstream release.
  * This release fixes a module error in graph dependencies build that prevented reconfiguration.

 -- ProwlerGr <Prowler73@gmail.com>  Fri, 17 May 2024 22:22:22 +1000

66 (0.7.0.1experimental1-1) UNRELEASED; urgency=medium

  * Rebuilt from new upstream release.

 -- ProwlerGr <Prowler73@gmail.com>  Sun, 05 May 2024 22:22:22 +1000

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 #CONFIG_OPT += --enable-absolute-paths
 #CONFIG_OPT += --enable-shared
 #CONFIG_OPT += --enable-allstatic
-CONFIG_OPT += --HOSTNAME=antix1
+CONFIG_OPT += --HOSTNAME=init-diversity
 CONFIG_OPT += --TZ=ETC
 CONFIG_OPT += --TTY=!2
 CONFIG_OPT += --KEYMAP=!us
@@ -65,13 +65,11 @@
 %:
 	dh $@
 
-override_dh_auto_configure-arch:
-#	./tools/gen-deps.sh > package/deps.mak
+override_dh_clean:
+	if test -e README.md; then rm README.md; fi;
+	if test -e config.mak; then rm config.mak; fi;
+	dh_clean
+
+override_dh_auto_configure:
 	./configure -- $(CONFIG_OPT)
 
-#override_dh_auto_configure-indep:
-#override_dh_auto_build-indep:
-#override_dh_auto_install-indep:
-#	mkdir -p debian/tmp/usr/share/doc/s6
-#	cp -aT doc debian/tmp/usr/share/doc/s6
-#override_dh_shlibdeps: --dpkg-shlibdeps-params= --ignore-missing-info

## 66 0.8.2.0

=== Makefile ===
--- 
+++ 
@@ -265,25 +265,26 @@
 
 check:
 	@echo "Running tests..."
-	@for dir in src/lib66 src/66; do \
-		echo "Scanning $$dir for tests..."; \
-		find $$dir -type d -name test | while read testdir; do \
-			if [ -f $$testdir/Makefile ]; then \
-				echo "Building tests in $$testdir..."; \
-				$(MAKE) -C $$testdir LIB_PATH=$(PWD) all || exit 1; \
-				for binary in $$testdir/*; do \
-					if [ -x $$binary ]; then \
-						echo "Executing $$binary"; \
-						LD_LIBRARY_PATH=$(PWD):$$LD_LIBRARY_PATH $(MAKE) -C $$testdir run || exit 1; \
-					fi; \
-				done; \
-				echo "Cleaning up in $$testdir..."; \
-				$(MAKE) -C $$testdir clean; \
-			else \
-				echo "Skipping $$testdir: Makefile not found."; \
-			fi; \
-		done; \
-	done
+	@set -e; \
+    for dir in src/lib66 src/66; do \
+        echo "Scanning $$dir for tests..."; \
+        for testdir in $$(find $$dir -type d -name test); do \
+            if [ -f $$testdir/Makefile ]; then \
+                echo "Building tests in $$testdir..."; \
+                $(MAKE) -C $$testdir LIB_PATH=$(PWD) all || exit 1; \
+                for binary in $$testdir/*; do \
+                    if [ -x $$binary ]; then \
+                        echo "Executing $$binary"; \
+                        LD_LIBRARY_PATH=$(PWD):$$LD_LIBRARY_PATH $(MAKE) -C $$testdir run || exit 1; \
+                    fi; \
+                done; \
+                echo "Cleaning up in $$testdir..."; \
+                $(MAKE) -C $$testdir clean; \
+            else \
+                echo "Skipping $$testdir: Makefile not found."; \
+            fi; \
+        done; \
+    done
 
 .PHONY: it all clean check distclean tgz strip install install-dynlib install-libexec install-bin install-lib install-include install-data install-html install-man install-init

=== meson_options.txt ===
option('shebangdir',
type: 'string',
value: '/usr/bin',
description: 'Absolute path for execline #! invocations')

option('livedir',
type: 'string',
value: '/run/66',
description: 'Default live directory')

option('max-service',
type: 'integer',
value: 500,
description: 'Maximum number of services handled by s6-svscan')

option('max-path-size',
type: 'integer',
value: 1024,
description: 'Maximum size of a path in KB. Each *-dir option (including the $HOME prefix) can not exceed max-path-size')

option('max-service-size',
type: 'integer',
value: 256,
description: 'Maximum size of a frontend service name in KB (e.g., foo@bar must not exceed this)')

option('max-tree-name-size',
type: 'integer',
value: 256,
description: 'Maximum size of a tree name in KB')

option('default-tree-name',
type: 'string',
value: 'global',
description: 'Name of the default tree')

option('skeleton-dir',
type: 'string',
value: '/etc/66',
description: 'Skeleton files directory')

option('system-dir',
type: 'string',
value: '/var/lib/66',
description: '66 tools system working directory')

option('system-log-dir',
type: 'string',
value: '/var/log/66',
description: 'System service log directory')

option('system-service-dir',
type: 'string',
value: '/usr/share/66/service',
description: 'System service frontend directory (must be different from sysadmin-service-dir)')

option('system-script-dir',
type: 'string',
value: '/usr/share/66/script',
description: 'System script directory')

option('system-seed-dir',
type: 'string',
value: '/usr/share/66/seed',
description: 'System trees default configuration directory')

option('sysadmin-service-dir',
type: 'string',
value: '/etc/66/service',
description: 'Sysadmin service frontend directory (must be different from system-service-dir)')

option('sysadmin-service-conf-dir',
type: 'string',
value: '/etc/66/conf',
description: 'Sysadmin service configuration directory')

option('sysadmin-seed-dir',
type: 'string',
value: '/etc/66/seed',
description: 'Sysadmin trees default configuration')

option('sysadmin-environment-dir',
type: 'string',
value: '/etc/66/environment',
description: 'Sysadmin environment directory')

option('user-dir',
type: 'string',
value: '.66',
description: '66 tools user working directory. Do not use absolute paths, it will be prefixed with $HOME')

option('user-log-dir',
type: 'string',
value: '.66/log',
description: 'User service log directory. Do not use absolute paths, it will be prefixed with $HOME')

option('user-service-dir',
type: 'string',
value: '.66/service',
description: 'User service directory. Do not use absolute paths, it will be prefixed with $HOME')

option('user-service-conf-dir',
type: 'string',
value: '.66/conf',
description: 'User service configuration directory. Do not use absolute paths, it will be prefixed with $HOME')

option('user-script-dir',
type: 'string',
value: '.66/script',
description: 'User script directory. Do not use absolute paths, it will be prefixed with $HOME')

option('user-seed-dir',
type: 'string',
value: '.66/seed',
description: 'User trees default configuration. Do not use absolute paths, it will be prefixed with $HOME')

option('user-environment-dir',
type: 'string',
value: '.66/environment',
description: 'User environment directory. Do not use absolute paths, it will be prefixed with $HOME')

option('s6-log-user',
type: 'string',
value: 'root',
description: 'User for running s6-log program')

option('s6-log-timestamp',
type: 'string',
value: 'iso',
description: 'Default timestamp for s6-log program (valid values: tai, iso, none)')

option('s6-log-notification',
type: 'boolean',
value: true,
description: 'Enable s6-log notification')

option('with-doc',
type: 'boolean',
value: false,
description: 'Build and install documentation in manpages and htlm format')

option('with-pkgconfig',
type: 'boolean',
value: true,
description: 'Build and install a /usr/lib/pkgconfig/lib66.pc file')

option('test',
type: 'boolean',
value: false,
description: 'Build and run tests')

option('sysdeps-dir',
type: 'string',
value: '/usr/lib/skalibs/sysdeps',
description: 'Use sysdeps in directory')

option('with-include-dir',
type: 'array',
value: [],
description: 'Additional include directories')

option('with-staticlib-dir',
type: 'array',
value: [],
description: 'Additional static library directories')

option('with-dynamiclib-dir',
type: 'array',
value: [],
description: 'Additional shared library directories')

option('enable-shared',
type: 'boolean',
value: true,
description: 'Build shared libraries for dynamic linking')

option('enable-static',
type: 'boolean',
value: false,
description: 'Build static libraries for static linking')

option('enable-static-deps',
type: 'boolean',
value: false,
description: 'Prefer static linking for all dependencies (e.g., skalibs, s6), reducing runtime dependencies (requires enable-static=true)')

option('enable-static-executable',
type: 'boolean',
value: false,
description: 'Build fully static executables, including static libc, for maximum portability')

option('enable-all-pic',
type: 'boolean',
value: false,
description: 'Compile static libraries with position-independent code (PIC) for use in shared libraries or PIE executables')

option('enable-pie',
type: 'boolean',
value: false,
description: 'Build executables as position-independent (PIE) for enhanced security via ASLR')

=== src/66/execl-envfile/test/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CC = gcc
-CFLAGS=-g -Wall -Wextra -std=c99 -D_XOPEN_SOURCE=700 -I../../../include/66
+CFLAGS=-g -Wall -Wextra -std=c99 -D_XOPEN_SOURCE=700 -I../../../include
 
 LIBS_PATH = -L/usr/lib/skalibs \
 			-L/usr/lib/execline \

=== src/lib66/enum/test/Makefile ===
CC = gcc
CFLAGS=-g -Wall -Wextra -std=c99 -D_XOPEN_SOURCE=700 -I../../../include

LIBS_PATH = -L/usr/lib/skalibs \
			-L/usr/lib/execline \
            -L/usr/lib/oblibs

LIBS = 	-loblibs \
		-lexecline \
		-lskarnet \
		../../../../lib66.so.xyzzy

LDFLAGS = $(LIBS_PATH) $(LIBS)
# List all source files for tests
# parse_bracket.c another_test.c some_other_test.c
TEST_SOURCES = enum.c
TEST_BINARIES = $(TEST_SOURCES:.c=)

all: $(TEST_BINARIES)

%: %.c
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

run: $(TEST_BINARIES)
	@for binary in $(TEST_BINARIES); do \
		echo "Executing $$binary"; \
		LD_PRELOAD=$(abspath ../../../../lib66.so.xyzzy) LD_LIBRARY_PATH=../../../../:$$LD_LIBRARY_PATH ./$$binary || exit 1; \
	done

clean:
	@exec rm -f $(TEST_BINARIES) $(wildcard *.o *.lo)

.PHONY: run clean

=== src/lib66/parse/test/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CC = gcc
-CFLAGS=-g -Wall -Wextra -std=c99 -D_XOPEN_SOURCE=700 -I../../../include/66
+CFLAGS=-g -Wall -Wextra -std=c99 -D_XOPEN_SOURCE=700 -I../../../include
 
 LIBS_PATH = -L/usr/lib/skalibs \
 			-L/usr/lib/execline \

=== src/lib66/utils/test/Makefile ===
CC = gcc
CFLAGS=-g -Wall -Wextra -std=c99 -D_XOPEN_SOURCE=700 -I../../../include

LIBS_PATH = -L/usr/lib/skalibs \
			-L/usr/lib/execline \
            -L/usr/lib/oblibs

LIBS = 	-loblibs \
		-lexecline \
		-lskarnet \
		../../../../lib66.so.xyzzy

LDFLAGS = $(LIBS_PATH) $(LIBS)
# List all source files for tests
# parse_bracket.c another_test.c some_other_test.c
TEST_SOURCES = version.c
TEST_BINARIES = $(TEST_SOURCES:.c=)

all: $(TEST_BINARIES)

%: %.c
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

run: $(TEST_BINARIES)
	@for binary in $(TEST_BINARIES); do \
		echo "Executing $$binary"; \
		LD_PRELOAD=$(abspath ../../../../lib66.so.xyzzy) LD_LIBRARY_PATH=../../../../:$$LD_LIBRARY_PATH ./$$binary || exit 1; \
	done

clean:
	@exec rm -f $(TEST_BINARIES) $(wildcard *.o *.lo)

.PHONY: run clean

=== debian/changelog ===
66 (0.8.2.0-0antix1) unstable; urgency=medium

  [ ProwlerGr ]
  * Removed the "set -e" flag from maintainer scripts.
  * Faulty user services shouldn't result in a failed system upgrade.

  [ anticapitalista ]
  * build for antiX

 -- anticapitalista <antix@operamail.com>  Thu, 25 Sep 2025 14:50:21 +0300

66 (0.8.2.0-0experimental1) UNRELEASED; urgency=medium

  * Upstream release 0.8.2.0.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 31 May 2025 22:22:22 +1000

66 (0.8.1.1-0experimental2) UNRELEASED; urgency=medium

  * Updated maintainer scripts that were causing errors when purging.

 -- ProwlerGr <Prowler73@gmail.com>  Tue, 27 May 2025 22:22:22 +1000

=== debian/control ===
Source: 66
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 s6 (>= 2.12.0.3),
 oblibs (>= 0.3.0.0),
 skalibs-dev (>= 2.14.1.1),
 libs6-dev (>= 2.12),
 libexecline-dev (>= 2.9),
 execline (>= 2.9.4.0),
 libexecline2.9 ,
 libskarnet2.14t64 | libskarnet2.14,
 lowdown (>= 0.6.4),
 linux-libc-dev (>=5.8),
Standards-Version: 4.6.2
Homepage: https://web.obarun.org/software/66/
Vcs-Browser: https://salsa.debian.org/init-diversity-team/s6-66/66
Vcs-Git: https://salsa.debian.org/init-diversity-team/s6-66/66.git

Package: 66
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 s6 (>= 2.12.0.3),
 oblibs (>= 0.3.0.1),
 execline (>= 2.9.4.0),
Recommends:
 66-tools (>= 0.1.1.0),
Description: Sixty-six is service manager built around created to make the implementation and manipulation of service files on your machine easier.
 Sixty-six is service manager built around [s6](http://skarnet.org/software/s6) created to make the implementation and manipulation of service files on your machine easier.
 It is meant to be a toolbox for the declaration, implementation and administration of services to achieve powerful functionality with small amounts of code.
 Examples of what can be achieved by 66:
 * Frontend service files declaration.
 * Easy creation of a scandir.
 * Nested supervision tree.
 * Instance service file creation.
 * Multiple directories service file declaration(packager,sysadmin,user).
 * Easy change of service configuration.
 * Automatic logger creation.
 * Service Notification.
 * Organizes services as a `tree`.
 * Easy view of service status.
 * User service declaration.
 * Automatic dependencies service chain.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#System types:
#CONFIG_OPT += --target=TARGET
#CONFIG_OPT += --host=TARGET

#Installation directories:
CONFIG_OPT += --prefix=/usr
#CONFIG_OPT += --exec-prefix=\$${prefix}

#Fine tuning of the installation directories:
CONFIG_OPT += --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --bindir=\$${prefix}/bin
CONFIG_OPT += --libexecdir=\$${prefix}/libexec
CONFIG_OPT += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --includedir=\$${prefix}/include/$(DEB_HOST_MULTIARCH)
#CONFIG_OPT += --sysconfdir=SYSDIR
#CONFIG_OPT += --datarootdir=\$${prefix}/share
#CONFIG_OPT += --mandir=DIR

CONFIG_OPT += --shebangdir=\$${prefix}/lib/execline/bin
CONFIG_OPT += --livedir=/run/66
CONFIG_OPT += --max-service=1000
CONFIG_OPT += --max-path-size=1024
CONFIG_OPT += --max-service-size=256
CONFIG_OPT += --max-tree-name-size=256
CONFIG_OPT += --with-default-tree-name=global
CONFIG_OPT += --with-skeleton=/etc/66
CONFIG_OPT += --with-system-log=/var/log/66
CONFIG_OPT += --with-s6-log-user=root
CONFIG_OPT += --with-s6-log-timestamp=iso
CONFIG_OPT += --disable-s6-log-notification=enabled

CONFIG_OPT += --with-system-dir=/var/lib/66
CONFIG_OPT += --with-system-service=/usr/share/66/service
CONFIG_OPT += --with-system-script=/usr/share/66/script
CONFIG_OPT += --with-system-seed=/usr/share/66/seed

CONFIG_OPT += --with-sysadmin-service=/etc/66/service
CONFIG_OPT += --with-sysadmin-service-conf=/etc/66/conf
CONFIG_OPT += --with-sysadmin-seed=/etc/66/seed
CONFIG_OPT += --with-sysadmin-environment=/etc/66/environment

CONFIG_OPT += --with-user-dir=.66
CONFIG_OPT += --with-user-log=.66/log
CONFIG_OPT += --with-user-service=.66/service
CONFIG_OPT += --with-user-service-conf=.66/conf
CONFIG_OPT += --with-user-script=.66/script
CONFIG_OPT += --with-user-seed=.66/seed
CONFIG_OPT += --with-user-environment=.66/environment

#Dependencies:
CONFIG_OPT += --with-sysdeps=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
CONFIG_OPT += --with-lib=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs
CONFIG_OPT += --with-lib=\$${prefix}/lib/execline
#CONFIG_OPT += --with-dynlib=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
#CONFIG_OPT += --with-dynlib=\$${prefix}/lib

#Optional features:
#CONFIG_OPT += --enable-shared=enabled
#CONFIG_OPT += --disable-static=enabled
#CONFIG_OPT += --disable-allstatic=enabled
#CONFIG_OPT += --enable-static-libc=disabled
#CONFIG_OPT += --disable-all-pic=enabled

%:
	dh $@

override_dh_clean:
	if test -e README.md; then rm README.md; fi;
	if test -e config.mak; then rm config.mak; fi;
	dh_clean

override_dh_auto_configure:
	./configure -- $(CONFIG_OPT)

=== debian/watch ===
# Example watch control file for uscan.
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# Direct Git.
opts="mode=git" https://salsa.debian.org/init-diversity-team/s6-66/66.git
#    refs/tags/v([\d\.]+)

## 66 0.8.2.1

=== debian/changelog ===
66 (0.8.2.1-0antix2) unstable; urgency=medium

  * fix wrong lib6 build

 -- anticapitalista <antix@operamail.com>  Fri, 09 Jan 2026 13:02:23 -0500

66 (0.8.2.1-0antix1) unstable; urgency=medium

  [ ProwlerGr ]
  * Upstream release 0.8.2.1
  * Switched to Meson build system as per upstream recommendation.

  [ anticapitalista ]
  * antiX-25 build

 -- anticapitalista <antix@operamail.com>  Tue, 23 Dec 2025 14:11:46 +0200

66 (0.8.2.0-0experimental2) UNRELEASED; urgency=medium

  * Removed the "set -e" flag from maintainer scripts.
  * Faulty user services shouldn't result in a failed system upgrade.

 -- ProwlerGr <Prowler73@gmail.com>  Wed, 04 Jun 2025 22:22:22 +1000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
+ meson,
  s6 (>= 2.12.0.3),
  oblibs (>= 0.3.0.0),
  skalibs-dev (>= 2.14.1.1),

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for a Meson project

MESON_OPT += -Dshebangdir=/usr/bin
MESON_OPT += -Dlivedir=/run/66
MESON_OPT += -Dmax-service=500
MESON_OPT += -Dmax-path-size=1024
MESON_OPT += -Dmax-service-size=256
MESON_OPT += -Dmax-tree-name-size=256
MESON_OPT += -Ddefault-tree-name=global
MESON_OPT += -Dskeleton-dir=/etc/66
MESON_OPT += -Dsystem-dir=/var/lib/66
MESON_OPT += -Dsystem-log-dir=/var/log/66
MESON_OPT += -Dsystem-service-dir=/usr/share/66/service
MESON_OPT += -Dsystem-script-dir=/usr/share/66/script
MESON_OPT += -Dsystem-seed-dir=/usr/share/66/seed
MESON_OPT += -Dsysadmin-service-dir=/etc/66/service
MESON_OPT += -Dsysadmin-service-conf-dir=/etc/66/conf
MESON_OPT += -Dsysadmin-seed-dir=/etc/66/seed
MESON_OPT += -Dsysadmin-environment-dir=/etc/66/environment
MESON_OPT += -Duser-dir=.66
MESON_OPT += -Duser-log-dir=.66/log
MESON_OPT += -Duser-service-dir=.66/service
MESON_OPT += -Duser-service-conf-dir=.66/conf
MESON_OPT += -Duser-script-dir=.66/script
MESON_OPT += -Duser-seed-dir=.66/seed
MESON_OPT += -Duser-environment-dir=.66/environment
MESON_OPT += -Ds6-log-user=root
MESON_OPT += -Ds6-log-timestamp=iso
MESON_OPT += -Ds6-log-notification=true
MESON_OPT += -Dwith-doc=true
MESON_OPT += -Dwith-pkgconfig=false
MESON_OPT += -Dtest=true
MESON_OPT += -Dsysdeps-dir=/usr/lib/skalibs/sysdeps
#MESON_OPT += -Dwith-include-dir=[]
#MESON_OPT += -Dwith-staticlib-dir=[]
#MESON_OPT += -Dwith-dynamiclib-dir=[]
MESON_OPT += -Denable-shared=true
MESON_OPT += -Denable-static=true
MESON_OPT += -Denable-static-deps=false
MESON_OPT += -Denable-static-executable=false
MESON_OPT += -Denable-all-pic=true
MESON_OPT += -Denable-pie=true
MESON_OPT += -Dlibexecdir=/usr/libexec


%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- $(MESON_OPT)
